@tailwind base;
@tailwind components;
@tailwind utilities;

@import url('https://fonts.googleapis.com/css2?family=Croissant+One&family=Gloock&display=swap');

body, html{
  margin: 0;
  padding: 0;
  height: 100%;
}
  
#root {
  min-height: 100%;
  position: relative;
  padding-bottom: 64px;
}

.hideMenuNav {
  display: none;
}

h1{
  font-family: 'Gloock', serif;
}

.showMenuNav {
  position: absolute;
  width: 100%;
  height: 100vh;
  top: 0;
  left: 0;
  background: white;
  z-index: 10;
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
}

.container_card{
  flex-wrap: wrap;
}

@media (width <= 1350px) {
  .form_modify_organization{
    flex-direction: column;
  }
  .modify-description{
    width: 100%;
  }

  .block_section{
    display: block;
  }

  .width_organisation{
    width: auto;
    margin-left: 0;
    border-radius: 0;
  }
}

/* @media (width <= 1300px) {
  .width_organisation{
    width: auto;
    margin-left: 0;
    border-radius: 0;
  }
} */

@media (width <= 1200px) {
  .organisation_displayMineral{
    margin-left: 17rem;
  }

  .display_img_field{
    flex-direction: column;
  }

  .description_displayMineral{
    width: auto;
  }

  .acceuil_description_website{
    flex-direction: column-reverse;
  }

  .img_description_website{
    width: 100%;
  }

  .description_desciption_website{
    height: 10rem;
  }
}

@media (width <= 1150px){
  .height_configure{
    height: 1150px;
  }

  .display_mineral_img{
    width: 250px;
    margin-bottom: 2rem;
  }

}

@media (width <=1100px) {


  .description_accueil_design {
    width: 100%;
    height: 15rem;
  }

  .searchbar_design {
    height: 6rem;
  }

  .organisation_displayMineral{
    margin-top: 0rem;
    margin-left: 0px;
    width: auto;
  }

  .design_display{
    display: block;
  }

  .height_configure{
    height: 1650px;
  }

  .margin_display_configuration{
    margin-right: 0;
  }

  .marginl_display_configuration{
    margin-left: 0;
  }

  .width_organisation{
    width: auto;
    margin-left: 0;
    border-radius: 0;
  }

  .description_displayMineral{
    width: auto;
  }

  .field_organisation_displayMineral{
    flex-direction: column;
    align-items: normal;
  }

  .list_organization{
    margin-top: 15rem;
  }

  .display_mineral{
    flex-direction: column;
  }

  .admin_check{
    width: 100%;
  }

  .search_response{
    flex-wrap: wrap;
  }

  .family_design{
    margin-top: 15rem;
  }

  .link_card_search{
    margin-bottom: 2rem;
  }
  
  .field_modify{
    display: flex;
    flex-direction: column;
    align-items: normal;
  }

  .input_modify{
    margin-left: 0;
    width: 100%;
    margin-bottom: 6px;
  }

  .modify_text_organization{
    margin-left: 0;
    align-items: normal;
  }

  .form_modify{
    align-items: normal;
  }
}

@media (width <= 1000px) {
  .search_searchbar_input{
    margin-top: 0.5rem;
  }
}
  
@media (width <= 950px) {

  .form_design_addMineral {
    display: flex;
    flex-direction: none;
    margin-right: 0px;
  }

  .field_addMineral{
    display: flex;
    flex-direction: column;
  }

  .input_addMineral{
    margin-right: 0px;
    margin-left: 0px;
    padding: 0.25rem;
    margin-top: 0.5rem;
    width: 100%;
  }

  .field_component{
    flex-direction: column-reverse;
    width: 100%;
    padding: 2rem;  
  }

  .img_input_addMineral{
    margin-bottom: 2rem;
  }

  .description_add_mineral{
    width: 100%;
  }
 
  .search_response_card{
    margin-bottom: 2rem;
  }

  .search_card_optimization_img{
    height: 100;
  }

}

@media (width <= 800px) {
  .search_response{
    flex-direction: column;
    align-items: center;
    margin: 0;
  }

  .container_card{
    margin:0;
    margin-top: 2rem;
  }

  .getMineral_modify{
    width: 100%;
  }

  .search_field{
    width: 100%;
  }

  .identification_user{
    width: 100%;
  }
}

@media (width <=700px) {
  .auth_design {
    width: 100%;
    box-shadow: none;
  }

  .display_mineral_admin{
    padding: 0;
  }

  .family_design{
    width: 100%;
    display: flex;
    flex-direction: column;
    margin: 0;
    margin-top: 15rem;
  }

  .family_component{
    margin-right: 0;
  }

  .acceuil_description_website{
    width: 100%;
  }

  .text-size{
    font-size: 20px;
  }

}

@media (width <=500px) {

  .searchbar{
    height: 8rem;
  }

  .search_searchbar{
    display: flex;
    flex-direction: column;
    margin-top: 0.5rem;
    border-radius: 0;
  }

    .search_searchbar_input{
      border-radius: 0;
    }

  .searchbar_design {
    padding: 0.25;
  }

  .description_accueil_design {
    width: 100%;
    height: 20rem;
    padding: 0;
    margin-top: 5rem;
    border-radius: 0;
  }

  .img_acceuil_design {
    margin-top: 5rem;
    width: 100%;
  }

  .img_section {
    margin-bottom: 0;
  }

  .description_add_mineral{
    width: 100%;
  }

  .field_component{
    padding: 0.5rem; 
  }


}


